# DeleteNexusParameters

Delete all parameters for a nexus

`DELETE /api/v2/companies/{companyId}/nexus/{nexusId}/parameters`

**API:** AvaTax API
**Tag:** Nexus
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Nexus/DeleteNexusParameters/

## Description

Delete all the parameters for a given nexus.
Some tax calculation and reporting are different depending on the properties of the nexus, such as isRemoteSeller. In AvaTax, these tax-affecting properties are called "parameters".
            
A parameter added to a nexus will be used by default in tax calculation but will not show on the transaction line referencing the nexus.
            
A parameter specified on a transaction line will override a nexus parameter if they share the same parameter name.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyCompanyAdmin, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this nexus. |
| `nexusId` | integer | path | Yes | The ID of the nexus you wish to delete the parameters. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/nexus/{nexusId}/parameters" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```